View Issue Details

IDProjectCategoryView StatusLast Update
0033137Open CASCADEOCCT:Documentationpublic2022-09-11 14:52
Reporterddzama Assigned Toddzama  
PrioritynormalSeveritytext 
Status verifiedResolutionfixed 
PlatformWindowsOSVC++ 2022 
Product Version7.7.0 
Target Version7.7.0 
Summary0033137: Updating minimal supported Microsoft Visual Studio version up to 2015 (VC140)
DescriptionMicrosoft Visual C++ compiler of version 2015 or higher should used to compile OCCT and Products on Windows.
Steps To ReproduceNot required
TagsNo tags attached.
Test case numberNot required

Activities

git

2022-09-09 09:41

administrator   ~0110887

Branch CR33137 has been created by ddzama.

SHA-1: 21dbb58f8aa0c8ec6903781581db19f2f1a47277


Detailed log of new commits:

Author: ddzama
Date: Fri Sep 9 09:29:27 2022 +0300

    0033137: Updating minimal supported Microsoft Visual Studio version up to 2015 (VC140).
    
    Microsoft Visual C++ compiler of version 2015 or higher should used to compile OCCT and Products on Windows.

ddzama

2022-09-09 09:46

developer   ~0110889

@kgv, please, see branch CR33137 on OCCT and Products.

smoskvin

2022-09-11 13:57

administrator   ~0110931

Combination -
OCCT branch : IR-2022-09-09
master SHA - 526c506cb0a6a5c9c168ab5efd0a4e5211e30bf4
e0ceb716c70188b98130b1550914140d0502a6f9
Products branch : IR-2022-09-09 SHA - changes and them, and you can discard any commits you make in this
574253b6b844635a69038511e6920877f837e298
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 18959.200000000466 / 18756.090000000648 [+1.08%]
Products
Total CPU difference: 12020.780000000137 / 11992.830000000133 [+0.23%]
Windows-64-VC14:
OCCT
Total CPU difference: 20894.5625 / 20851.65625 [+0.21%]
Products
Total CPU difference: 13470.484375 / 13574.0625 [-0.76%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

git

2022-09-11 14:51

administrator   ~0110948

Branch CR33137 has been deleted by mnt.

SHA-1: 21dbb58f8aa0c8ec6903781581db19f2f1a47277

Related Changesets

occt: master 2949b238

2022-09-09 09:29:27

ddzama


Committer: smoskvin Details Diff
0033137: Updating minimal supported Microsoft Visual Studio version up to 2015 (VC140).

Microsoft Visual C++ compiler of version 2015 or higher should used to compile OCCT and Products on Windows.
Affected Issues
0033137
mod - dox/introduction/introduction.md Diff File

occt-products: master 574253b6

2022-09-09 09:37:43

ddzama


Committer: smoskvin Details Diff
0033137: Updating minimal supported Microsoft Visual Studio version up to 2015 (VC140).

Microsoft Visual C++ compiler of version 2015 or higher should used to compile OCCT and Products on Windows.
Affected Issues
0033137
mod - diff Diff File
mod - diff Diff File
mod - diff Diff File
mod - diff Diff File
mod - diff Diff File
mod - diff Diff File
mod - dox/user_guides/cam_library/cam_library.md Diff File
mod - dox/user_guides/express_mesh/express_mesh.md Diff File
mod - dox/user_guides/fast_distance_computation/fast_distance_computation.md Diff File
mod - dox/user_guides/ifc_interface/ifc_interface.md Diff File
mod - dox/user_guides/jt_interface/jt_interface.md Diff File
mod - dox/user_guides/mesh_framework/mesh_framework.md Diff File
mod - dox/user_guides/sat_interface/sat_interface.md Diff File
mod - dox/user_guides/surfaces_from_scattered_points/surfaces_from_scattered_points.md Diff File
mod - dox/user_guides/unfolding_library/unfolding_library.md Diff File
mod - samples/java/readme.txt Diff File

Issue History

Date Modified Username Field Change
2022-09-08 17:09 ddzama New Issue
2022-09-08 17:09 ddzama Assigned To => ddzama
2022-09-09 09:21 ddzama Description Updated
2022-09-09 09:41 git Note Added: 0110887
2022-09-09 09:46 ddzama Note Added: 0110889
2022-09-09 09:46 ddzama Assigned To ddzama => kgv
2022-09-09 09:46 ddzama Status new => resolved
2022-09-09 09:46 ddzama Steps to Reproduce Updated
2022-09-09 10:05 kgv Assigned To kgv => bugmaster
2022-09-09 10:05 kgv Severity minor => integration request
2022-09-09 10:05 kgv Status resolved => reviewed
2022-09-09 10:05 kgv Severity integration request => text
2022-09-11 13:57 smoskvin Status reviewed => tested
2022-09-11 13:57 smoskvin Note Added: 0110931
2022-09-11 13:58 smoskvin Test case number => Not required
2022-09-11 14:40 smoskvin Changeset attached => occt master 2949b238
2022-09-11 14:40 ddzama Assigned To bugmaster => ddzama
2022-09-11 14:40 ddzama Status tested => verified
2022-09-11 14:40 ddzama Resolution open => fixed
2022-09-11 14:47 smoskvin Changeset attached => occt-products master 574253b6
2022-09-11 14:51 git Note Added: 0110948